# Record TCefMediaSource

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefMediaSource = record`

## Description

Represents a source from which media can be routed. Instances of this object are retrieved via ICefMediaRouter.GetSource. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefMediaSource.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_source_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_id: function(self: PCefMediaSource): PCefStringUserFree; stdcall;`
| `is_cast_source: function(self: PCefMediaSource): Integer; stdcall;`
| `is_dial_source: function(self: PCefMediaSource): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_id: function(self: PCefMediaSource): PCefStringUserFree; stdcall;`
This item has no description.

| `is_cast_source: function(self: PCefMediaSource): Integer; stdcall;`
This item has no description.

| `is_dial_source: function(self: PCefMediaSource): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.